Get a record by ID

Path Parameters
  • moduleId
    Type: integer
    required

    Module ID

  • recordId
    Type: integer
    required

    Record ID

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/module/{moduleId}/item/{recordId}
curl https://test.boost.space/api/module/1/item/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "statusSystemId": 42,
  "statusId": 42,
  "spaceId": 42,
  "featuredImageId": 42,
  "files": [
    1
  ],
  "labels": [
    1
  ],
  "boostId": "string",
  "customFieldsValues": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "valueWysiwyg": "string",
      "valueInt": 1,
      "valueFloat": 1.5,
      "valueDatetime": "2026-01-15T09:30:00Z",
      "valueModule": "string",
      "value": "string",
      "fileId": 42,
      "customFieldInputId": 42,
      "module": "activities",
      "table": "string",
      "entityId": 42,
      "customFieldInputName": "Sample customFieldInputName",
      "selected": true,
      "ipAddress": "string",
      "translatable": true,
      "translations": {
        "en": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "it": {
          "field1": "translation1",
          "field2": "translation2"
        },
        "cs": {
          "field1": "translation1",
          "field2": "translation2"
        }
      }
    }
  ]
}